/**
 * @file dummy.cpp
 * @brief This is the main program file.
 *
 * This is the main program file containing a global variable, a class, a
 * global function and the main() function.
 */

#include <cstdio>

using namespace std;


/// This is a global variable
int foo;


/**
 * @brief This is a dummy class.
 *
 * This is a dumym class to show the problem
 */
class Bar
{
  public:
    /**
     * @brief Printing function.
     *
     * This member function prints the given integer to stdout.
     *
     * @param  foo  Integer to print
     */
    void print(int foo) {
      printf("%d\n", foo);
    }
};


/**
 * @brief Another printing function.
 *
 * This function prints the given integer to stdout.
 *
 * @param  foo  Integer to print
 */
void print(int foo) {
  printf("%d\n", foo);
}


/**
 * @brief Main program
 *
 * This is the main program.
 */
int main()
{
  Bar var;

  var.print(42);
}
